%global pypi_name tomli

Name:           python-%{pypi_name}
Version:        2.0.1
Release:        %mkrel 6
Summary:        A little TOML parser for Python
License:        MIT
Group:          Development/Python
URL:            https://pypi.org/project/tomli/
Source0:        %{pypi_source}
Patch1:         tomli-reqs.patch
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
Tomli is a Python library for parsing TOML and is fully compatible with TOML
v1.0.0.

%package -n python3-tomli
Summary:          A little TOML parser for Python
Group:            Development/Python

%description -n python3-tomli
Tomli is a Python library for parsing TOML and is fully compatible with TOML
v1.0.0.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE


%changelog
* Fri Feb 21 2025 neoclust <neoclust> 2.0.1-6.mga10
+ Revision: 2150297
- Rebuild against python 3.13

* Sat Dec 16 2023 papoteur <papoteur> 2.0.1-5.mga10
+ Revision: 2018376
- rebuild for python 3.12

* Thu Dec 07 2023 wally <wally> 2.0.1-4.mga10
+ Revision: 2014869
- rebuild for py3.12
- remove unneeded bootstrap build

* Thu Dec 07 2023 wally <wally> 2.0.1-2.mga10
+ Revision: 2014657
- bootstrap build for py3.12 update
- drop unneeded bootstrap build option
- add bcond for bootstrapping (originally from Fedora)

* Sun Apr 10 2022 wally <wally> 2.0.1-1.mga9
+ Revision: 1848629
- new version 2.0.1

* Tue Mar 29 2022 umeabot <umeabot> 2.0.0-2.mga9
+ Revision: 1832563
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 2.0.0-1.mga9
+ Revision: 1771914
- new version 2.0.0
- rebuild for python 3.10

* Fri Sep 03 2021 wally <wally> 1.2.1-1.mga9
+ Revision: 1744227
- imported package python-tomli

